/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   ft_printf.h                                        :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: erey-bet <marvin@42.fr>                    +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2022/09/26 16:31:10 by erey-bet          #+#    #+#             */
/*   Updated: 2022/11/21 19:31:17 by erey-bet         ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

#ifndef FT_PRINTF_H
# define FT_PRINTF_H

# include <stddef.h>
# include <stdlib.h>
# include <unistd.h>

int		ft_printf(const char *str, ...);
void	ft_putchar(char c);
int		ft_putstr(char *s);
int		ft_power(int nb, int power);
int		ft_get_size(long long n);
int		ft_putnbr(int n);
int		ft_putunbr(unsigned int n);
int		ft_putnbrhex(unsigned int v);
int		ft_putnbrhex_upper(unsigned int v);
int		ft_putvd(void *v);

#endif
